Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Yast2 busted

  1. #1

    Default Yast2 busted

    Suse 11.1 amd64 kde4.2

    I get the below error when trying to use Yast2 software management ( or any of the other Yast2 services). The problem appeared after I updated some files in Yast. But I cannot get back in to see what went wrong and roll back. Any ideas ?

    terminate called after throwing an instance of 'YUIPluginException'
    what(): Couldn't load plug-in qt
    YaST got signal 6 at YCP file Wizard.ycp:706
    /sbin/yast2: line 450: 10391 Aborted $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARG

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,173
    Blog Entries
    1

    Default Re: Yast2 busted

    Lots of threads on this subject. IIRC, it concerns libqt and yast2-qt version conflicts. See if this helps.

    Yast2 broken - openSUSE Forums

    If not a search of this forum will yield other similar threads.

    Note: This can happen when users have repos incorrectly enabled or configured (eg priority settings). So if in doubt, do

    zypper lr --details

    and post results here for someone to check.

  3. #3

    Default Re: Yast2 busted

    Thanks. I tried the suggested procedure, but no luck. My repo's below.


    linux-x0zl# zypper lr --details
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+-------------------------------+-------------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------------------------+--------
    1 | Community_4.2 | Community 4.2 | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_42 |
    2 | KDE3 | KDE3 | Yes | No | 99 | rpm-md | Index of /repositories/KDE:/KDE3/openSUSE_11.1 |
    3 | KDE4_Community | KDE4 Community | Yes | No | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1 |
    4 | KDE4_Extra_Applications | KDE4 Extra Applications | Yes | No | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/STABLE:/Extra-Apps/openSUSE_11.1 |
    5 | KDE4_FACTORY_-_community_repo | KDE4 FACTORY - community repo | Yes | No | 20 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE4_Factory_Desktop |
    6 | KDE4_FACTORY_-_extra-apps | KDE4 FACTORY - extra-apps | Yes | No | 20 | rpm-md | Index of /repositories/KDE:/KDE4:/Factory:/Extra-Apps/openSUSE_11.1 |
    7 | KDE4_FACTORY_desktop | KDE4 FACTORY desktop | Yes | No | 20 | rpm-md | Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1 |
    8 | KDE4_QT | KDE4 QT | Yes | No | 99 | rpm-md | Index of /repositories/KDE:/Qt/openSUSE_11.1 |
    9 | KDE4_Stalble | KDE4 Stalble | Yes | No | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/STABLE:/Desktop/openSUSE_11.1 |
    10 | KDE_4.2 | KDE 4.2 | Yes | No | 99 | rpm-md | Index of /repositories/KDE:/42/openSUSE_11.1 |
    11 | KDE_4.2_1 | KDE 4.2 | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/42/openSUSE_11.1 |
    12 | Libdvdcss repository | Libdvdcss repository | Yes | No | 99 | rpm-md | http://suse.linuxin.dk/repo/11.1/ |
    13 | Mozilla_Firefox | Mozilla Firefox | Yes | No | 99 | rpm-md | Index of /repositories/mozilla/openSUSE_11.1 |
    14 | Open_Office_Stable | Open Office Stable | Yes | No | 99 | rpm-md | Index of /repositories/OpenOffice.org:/STABLE/openSUSE_11.1 |
    15 | Packman Repository | Packman Repository | Yes | No | 99 | rpm-md | Index of /pub/packman/suse/11.1 |
    16 | Playground_4.2 | Playground 4.2 | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Playground/openSUSE_11.1_KDE_42 |
    17 | Smart | Smart | Yes | No | 99 | rpm-md | Index of /repositories/smart/openSUSE_11.1 |
    18 | openSUSE 11.1-0 | openSUSE 11.1-0 | No | No | 99 | yast2 | cd:///?devices=/dev/sr0 |
    19 | openSUSE-11.1-Non-Oss | openSUSE-11.1-Non-Oss | Yes | No | 99 | yast2 | Index of /distribution/11.1/repo/non-oss |
    20 | openSUSE-11.1-Oss | openSUSE-11.1-Oss | Yes | No | 99 | yast2 | Index of /distribution/11.1/repo/oss |
    21 | openSUSE:Factory | openSUSE:Factory | Yes | No | 99 | yast2 | Index of /factory/repo/oss |
    22 | openSUSE_11.1 | openSUSE_11.1 | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/42/openSUSE_11.1 |
    23 | openSUSE_11.1-0 | openSUSE 11.1-0 | No | No | 99 | yast2 | dvd:/// |
    24 | openSUSE_11.1-0_1 | openSUSE 11.1-0 | No | No | 99 | yast2 | dvd:/// |
    25 | repo | Main Repository (NON-OSS) | Yes | No | 99 | yast2 | Index of /distribution/11.1/repo/non-oss |
    26 | repo-debug | openSUSE-11.1-Debug | No | No | 100 | NONE | Index of /debug/distribution/11.1/repo/oss |
    27 | repo-source | openSUSE-11.1-Source | Yes | No | 100 | yast2 | Index of /source/distribution/11.1/repo/oss |
    28 | repo-update | openSUSE-11.1-Update | Yes | No | 20 | rpm-md | Index of /update/11.1 |
    29 | repo_1 | Main Repository (OSS) | Yes | No | 99 | yast2 | Index of /distribution/11.1/repo/oss

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,723
    Blog Entries
    20

    Default Re: Yast2 busted

    That you actually posted that list tells me enough. Seriously you have a right old mess there.
    Delete everything but the official oss, non-oss, updates, packman, mozilla,

    then add
    Index of /repositories/KDE:/42/openSUSE_11.1
    and
    Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_42

    make sure all are at 99 priority
    then (if possible) do a system wide unconditional update
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,173
    Blog Entries
    1

    Default Re: Yast2 busted

    I think we need a sticky concerning the recommended repos for KDE4.2 users. This problem is becoming all to common.

  6. #6

    Default Re: Yast2 busted

    Following other posts that had a similar problem I started looking at qt4. I still had Smart (package manager) installed. It showed an upgrade to qt4 was available but would not complete the job. (It has limited repositories). However Zypper installed libqt4-4.5.1-44.1 and its dependencies. Yast then started in a new kde 4.2 window.

  7. #7
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,723
    Blog Entries
    20

    Default Re: Yast2 busted

    Quote Originally Posted by deano_ferrari View Post
    I think we need a sticky concerning the recommended repos for KDE4.2 users. This problem is becoming all to common.
    This might help a little I suppose. Though if you look at the repo list this user has, their issues are the result of much more than just kde4.2
    My guess is they have had a OneClick frenzy.
    Of course an issue in making a sticky on this is the ever changing situation in the Build Service. And really, though many are using the Build Service, it should not be encourage widely. Newer users are just not knowledgeable enough to manage it successfully.

    You @deano_ferrari are welcome to write a HowTo. If necessary with the passing of time you can submit an edit to one of us Mods for us to update the HowTo?!
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  8. #8

    Default Re: Yast2 busted

    Re One Klick frenzy. Not here.

    The early releases of kde4 were a dog. To gain productivity on our desktops were needed to upgrade to newer releases as soon as possible. These upgrades were more problematic than in the past. Then I managed by upgrading kde3libs and kde3 base followed by the individual packages. I lost my way with kde4 upgrades and was forced to stumble in the dark using snippets of information from the lists. My desktop 11.1 is still not good, but it is useable.
    In addition the way that repositories have evolved and grown over recent times is forcing us to learn new stuff while keeping our systems functional. The use of repositories and their future use in Suse may need some refining for all users out there.

    Desktop user.

  9. #9

    Default Re: Yast2 busted

    Regardless of how it was achieved the point stands.. People shouldn't go around adding repos willy nilly..

    You have 2 dvd, 1 cd, you have 3 KDE4 sources as in factory, 4.2 and stable, 4 OSS(So including dvd and cd a total of 7 OSS)2 non OSS probably again included in DVD source. This is just the duplications..

    Then you have KDE3 so now a total of 4 KDE sources..

    Then even if we accept you would likely do your self little harm with Smart, Mozilla, OO and libdvdcss. Going on the mismanagement of the other ones I wouldn't be recommending you use any additional ones. Most certainly not another pkg manager as running both Smart and yast needs careful management.

    If you wish to say you got yourself deliberately in that mess it's not something to be proud of. If unsure ask and someone will answer if I'm about I certainly will answer..

    But then I disagree with recommending newbies use 4.2 for this very reason..
    Man first, have a try at Info, have a look at Wiki, if all that fails Scroogle!!!!!
    If I've helped click on the Rep button I don't know what it does but it sounds cool.

  10. #10

    Default Re: Yast2 busted

    missed the edit time..

    Or if they feel they really have to recommend it then tell them to install from the live KDECD at least it'll set up repos correctly. Certainly now that we have the 42 repo, not when it was factory.
    Man first, have a try at Info, have a look at Wiki, if all that fails Scroogle!!!!!
    If I've helped click on the Rep button I don't know what it does but it sounds cool.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •